<?php

namespace Drupal\bootstrap_ui_kit\TwigExtension;

use Twig\Extension\AbstractExtension;
use Twig\TwigFunction;

class FileGetContents extends AbstractExtension {

  public function getName() {
    return 'bootstrap_ui_kit.file_get_contents';
  }

  public function getFunctions() {
    return [
      new TwigFunction('fileGetContents', array($this, 'fileGetContents')),
    ];
  }

  // @todo: allow namespacing modules/themes
  public function fileGetContents($file) {
    $content = @file_get_contents($file);
    if ($content === false) {
      $content = t('Uh oh! Looks like the file contents failed to load. Check the path and try again.');
    }
    return $content;
  }
}
